<?php

namespace common\logic\Order\OrderStatusHistory\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Order\OrderStatusHistory\Repository\OrderStatusHistoryRepository;
use common\logic\Order\OrderStatusHistory\Service\OrderStatusHistoryBuilder;
use common\logic\Order\OrderStatusHistory\Service\OrderStatusHistoryDefinition;

class OrderStatusHistoryContainer extends AbstractContainer
{
    public function getServices(): array
    {
        return [
            OrderStatusHistoryDefinition::class,
            OrderStatusHistoryRepository::class,
            OrderStatusHistoryBuilder::class
        ];
    }

    public function getDefinition(): OrderStatusHistoryDefinition
    {
        return OrderStatusHistoryDefinition::getInstance();
    }

    public function getRepository(): OrderStatusHistoryRepository
    {
        return OrderStatusHistoryRepository::getInstance();
    }

    public function getBuilder(): OrderStatusHistoryBuilder
    {
        return OrderStatusHistoryBuilder::getInstance();
    }
}