<?php

namespace common\logic\User\CreditHistory\Repository;

use common\logic\AbstractRepository;
use common\logic\Order\Order\Model\Order;
use common\logic\User\CreditHistory\Model\CreditHistory;

class CreditHistoryRepository extends AbstractRepository
{
    protected CreditHistoryRepositoryQuery $query;

    public function loadDependencies(): void
    {
        $this->loadQuery(CreditHistoryRepositoryQuery::class);
    }

    public function getDefaultOptionsSearch(): array
    {
        return [
            self::WITH => [],
            self::JOIN_WITH => [],
            self::ORDER_BY => CreditHistory::tableName() . '.date ASc',
            self::ATTRIBUTE_ID_PRODUCER => CreditHistory::tableName() . '.id_producer'
        ];
    }

    public function getByOrder(Order $order)
    {
        return $this->createDefaultQuery()
            ->filterByOrder($order)
            ->find();
    }
}