<?php

namespace common\logic\User\CreditHistory\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Order\Order\Model\Order;
use common\logic\User\CreditHistory\Service\CreditHistoryDefinition;

class CreditHistoryRepositoryQuery extends AbstractRepositoryQuery
{
    protected CreditHistoryDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(CreditHistoryDefinition::class);
    }

    public function filterByOrder(Order $order): self
    {
        $this->andWhere(['id_order' => $order->id]);
        return $this;
    }
}