<?php

/**
 * Copyright distrib (2018)
 *
 * contact@opendistrib.net
 *
 * Ce logiciel est un programme informatique servant à aider les producteurs
 * à distribuer leur production en circuits courts.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 *
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 *
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */

use common\helpers\GlobalParam;

$producerManager = $this->getProducerManager();
$userManager = $this->getUserManager();

?>

<aside class="main-sidebar">

    <section class="sidebar">

        <?php
            $producer = GlobalParam::getCurrentProducer();
            $newVersionOpendistribTemplate = '';
            if($producer && !$producerManager->isUpToDateWithOpendistribVersion($producer)) {
                $newVersionOpendistribTemplate = '<span class="pull-right-container"><small class="label pull-right bg-orange">&nbsp;</small></span>';
            }
        ?>

        <?= dmstr\widgets\Menu::widget(
            [
                'options' => ['class' => 'sidebar-menu tree', 'data-widget' => 'tree'],
                'items' => [
                    ['label' => 'Tableau de bord', 'icon' => 'dashboard', 'url' => ['/site/index'], 'visible' =>  $userManager->isCurrentProducer()],
                    ['label' => 'Distributions', 'icon' => 'calendar', 'url' => ['/distribution/index'], 'visible' =>  $userManager->isCurrentProducer()],
                    [
                        'label' => 'Produits',
                        'icon' => 'clone',
                        'url' => ['/product/index'],
                        'visible' =>  $userManager->isCurrentProducer(),
                        'active' => Yii::$app->controller->id == 'product',
                        'items' => [
                            ['label' => 'Liste', 'icon' => 'th-list', 'url' => ['/product/index'], 'visible' =>  $userManager->isCurrentProducer()],
                            ['label' => 'Catégories', 'icon' => 'book', 'url' => ['/product-category/index'], 'visible' =>  $userManager->isCurrentProducer()],
                            ['label' => 'Import prix', 'icon' => 'upload', 'url' => ['/product/price-import'], 'visible' =>  $userManager->isCurrentProducer()],
                        ]
                    ],
                    ['label' => 'Points de vente', 'icon' => 'map-marker', 'url' => ['/point-sale/index'], 'visible' =>  $userManager->isCurrentProducer(), 'active' => Yii::$app->controller->id == 'point-sale'],
                    [
                        'label' => 'Utilisateurs',
                        'icon' => 'users',
                        'url' => ['/user/index'],
                        'items' => [
                            ['label' => 'Liste', 'icon' => 'th-list', 'url' => ['/user/index'], 'visible' =>  $userManager->isCurrentProducer()],
                            ['label' => 'Groupes', 'icon' => 'users', 'url' => ['/user-group/index'], 'visible' =>  $userManager->isCurrentProducer()],
                        ],
                    ],
                    ['label' => 'Abonnements', 'icon' => 'repeat', 'url' => ['/subscription/index'], 'visible' =>  $userManager->isCurrentProducer(), 'active' => Yii::$app->controller->id == 'subscription'],
                    ['label' => 'Communiquer', 'icon' => 'bullhorn', 'url' => ['/communicate/index'], 'visible' =>  $userManager->isCurrentProducer()],
                    [
                        'label' => 'Documents',
                        'icon' => 'clone',
                        'url' => ['/delivery-note/index'],
                        'items' => [
                            ['label' => 'Bons de livraison', 'icon' => 'sticky-note-o', 'url' => ['/delivery-note/index'], 'visible' =>  $userManager->isCurrentProducer()],
                            ['label' => 'Factures', 'icon' => 'sticky-note-o', 'url' => ['/invoice/index'], 'visible' =>  $userManager->isCurrentProducer()],
                            ['label' => 'Devis', 'icon' => 'sticky-note-o', 'url' => ['/quotation/index'], 'visible' =>  $userManager->isCurrentProducer()],
                        ],
                    ],
                    [
                        'label' => 'Statistiques',
                        'icon' => 'line-chart',
                        'url' => ['/stats/index'],
                        'items' => [
                            ['label' => 'Chiffre d\'affaire', 'icon' => 'line-chart', 'url' => ['/stats/index'], 'visible' =>  $userManager->isCurrentProducer()],
                            ['label' => 'Rapports', 'icon' => 'pencil-square-o', 'url' => ['/report/index'], 'visible' =>  $userManager->isCurrentProducer()],
                            ['label' => 'Produits', 'icon' => 'table', 'url' => ['/stats/products'], 'visible' =>  $userManager->isCurrentProducer()],
                        ],
                    ],
                    ['label' => 'Paramètres', 'icon' => 'cog', 'url' => ['/producer/update'], 'visible' =>  $userManager->isCurrentProducer()],
                    ['label' => 'Accès', 'icon' => 'lock', 'url' => ['/access/index'], 'visible' =>  $userManager->isCurrentProducer()],
                    [
                            'label' => 'Développement',
                            'icon' => 'code',
                            'url' => ['/development/index'],
                            'visible' =>  $userManager->isCurrentProducer(),
                            'active' => Yii::$app->controller->id == 'development',
                            'template'=>'<a href="{url}">{icon} {label}'.$newVersionOpendistribTemplate.'</a>'
                    ],
                    ['label' => 'Tarifs', 'icon' => 'euro', 'url' => ['/producer/billing'], 'visible' =>  $userManager->isCurrentProducer()],

                    ['label' => 'Administration', 'options' => ['class' => 'header'], 'visible' =>  $userManager->isCurrentAdmin()],
                    ['label' => 'Producteurs', 'icon' => 'th-list', 'url' => ['/producer-admin/index'], 'visible' =>  $userManager->isCurrentAdmin()],
                    [
                        'label' => 'Statistiques',
                        'icon' => 'line-chart',
                        'url' => ['/stats-admin/matomo'],
                        'visible' => $userManager->isCurrentAdmin(),
                        'items' => [
                            ['label' => 'Matomo', 'icon' => 'line-chart', 'url' => ['/stats-admin/matomo'], 'visible' =>  $userManager->isCurrentAdmin()],
                            ['label' => 'Chiffre d\'affaire', 'icon' => 'line-chart', 'url' => ['/stats-admin/turnover'], 'visible' =>  $userManager->isCurrentAdmin()],
                            ['label' => 'Commandes clients', 'icon' => 'calendar', 'url' => ['/stats-admin/customer-orders'], 'visible' =>  $userManager->isCurrentAdmin()],
                        ],
                    ],

                    ['label' => 'Tranches de prix', 'icon' => 'eur', 'url' => ['/producer-price-range-admin/index'], 'visible' =>  $userManager->isCurrentAdmin()],
                    ['label' => 'Taxes', 'icon' => 'eur', 'url' => ['/tax-rate-admin/index'], 'visible' =>  $userManager->isCurrentAdmin()],
                    ['label' => 'Communiquer', 'icon' => 'bullhorn', 'url' => ['/communicate-admin/index'], 'visible' =>  $userManager->isCurrentAdmin()],

                    //['label' => 'Outils', 'options' => ['class' => 'header'], 'visible' =>  $userManager->isCurrentAdmin()],
                    //['label' => 'Gii', 'icon' => 'file-code-o', 'url' => ['/gii'], 'visible' =>  $userManager->isCurrentAdmin()],
                    //['label' => 'Debug', 'icon' => 'dashboard', 'url' => ['/debug'], 'visible' =>  $userManager->isCurrentAdmin()],
                    ['label' => 'Login', 'url' => ['site/login'], 'visible' => ! $userManager->isCurrentConnected()],
                ],
            ]
        ) ?>

    </section>

</aside>
