<?php

/**
 * Copyright distrib (2018)
 *
 * contact@opendistrib.net
 *
 * Ce logiciel est un programme informatique servant à aider les producteurs
 * à distribuer leur production en circuits courts.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 *
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 *
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */

use yii\grid\GridView;

?>

<div class="alert alert-warning" role="alert">
    Découvrez ci-dessous notre <strong>grille tarifaire</strong> pour l'hébergement de votre circuit court sur Opendistrib.
    Le montant qui vous est facturé mensuellement dépend de votre chiffre d’affaire hors taxe réalisé sur le logiciel.
    Il sera donc adapté chaque mois en fonction de l’évolution de votre activité.
</div>

<?=

GridView::widget([
                         'dataProvider' => $dataProviderPrices,
                         'summary' => '',
                         'columns' => [
                                 [
                                         'label' => 'Tranches (CA HT / mois)',
                                         'format' => 'raw',
                                         'value' => function ($model) {
                                             if ($model->range_begin == 0) {
                                                 $html = 'Moins de ' . $model->range_end . ' &euro;';
                                             } elseif ($model->range_end == null) {
                                                 $html = 'Plus de ' . $model->range_begin . ' &euro;';
                                             } else {
                                                 $html = 'Entre ' . $model->range_begin . ' &euro;';
                                                 $html .= ' et ' . $model->range_end . ' &euro;';
                                             }
                                             return $html;
                                         }
                                 ],
                                 [
                                         'label' => 'Tarifs (HT)',
                                         'format' => 'raw',
                                         'value' => function ($model) {
                                             $html = $model->price . ' &euro;';

                                             return $html;
                                         }
                                 ],
                         ]
                 ]);
?>
<?php if (!isset($noButton)){ ?>
<a class="btn btn-default" href="<?= \Yii::$app->urlManagerFrontend->createUrl(['site/prices']) ?>"><span class="glyphicon glyphicon-eur"></span> En savoir plus sur nos tarifs</a>
<?php } ?>

