<?php

/**
 * Copyright distrib (2018)
 *
 * contact@opendistrib.net
 *
 * Ce logiciel est un programme informatique servant à aider les producteurs
 * à distribuer leur production en circuits courts.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.
 *
 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.
 *
 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */

use yii\helpers\Html;

$this->setTitle('Tarifs');
$this->setMeta('description', 'Découvrez les tarifs de l\application Opendistrib.');

?>

<h1 class="title-system-order"><span class="glyphicon glyphicon glyphicon-eur"></span>&nbsp;&nbsp;<?= Html::encode(
            $this->title
    ) ?></h1>

<?= $this->render('_prices_producer', ['dataProviderPrices' => $dataProviderPrices, 'noButton'=> true]); ?>

<div id="site-prices">
    <div class="row equal">
        <div class="col-md-6  col-xs-12 producer">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h2 class="panel-title">
                        <span class="the-title">Fonctionnalités</span>
                    </h2>
                </div>
                <div class="panel-body">
                    <p>Vous avez accès à toutes les fonctionnalités d’Opendistrib quelque soit votre tranche tarifaire (hormis le paiement en ligne).
                        Ce tarif prend également en compte les mises à jour du logiciel. Les fonctionnalités sont développées en
                        fonction de vos retours et besoins.
                    </p>
                    <p>Pour vos besoins spécifiques, nous pouvons réaliser des développements sur-mesure sur devis
                        (<a href="<?= \Yii::$app->urlManager->createUrl(['site/contact']) ?>">nous contacter</a>).</p>
                </div>
            </div>
        </div>
        <div class="col-md-6  col-xs-12 producer">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h2 class="panel-title">
                        <span class="the-title">Support & maintenance</span>
                    </h2>
                </div>
                <div class="panel-body">
                    <p>Le service comprend l’hébergement, le support et la maintenance. Nous sommes
                        disponibles pour répondre à vos questions, vous accompagner à l’utilisation du logiciel et corriger
                        les problèmes que vous ou vos clients pouvez rencontrer.</p>
                </div>
            </div>
        </div>
    </div>

    <div class="row equal">
        <div class="col-md-6  col-xs-12 producer">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h2 class="panel-title">
                        <span class="the-title">Démo & version d'essai</span>
                    </h2>
                </div>
                <div class="panel-body">
                    <p>Vous avez plusieurs solutions pour découvrir le logiciel : </p>
                    <ul>
                        <li>
                            <a href="<?= \Yii::$app->urlManager->createUrl(['site/contact']) ?>">Nous demander une démo</a> pour
                            que l'on vous fasse une présentation.
                        </li>
                        <li>
                            Essayer Opendistrib sans inscription via le
                            <a href="<?= \Yii::$app->urlManager->createUrl(['site/producer', 'id' => 32]) ?>">compte de démonstration</a>.
                        </li>
                        <li>Essayer Opendistrib pour votre activité en vous <a href="<?= \Yii::$app->urlManager->createUrl(['site/signup']) ?>">inscrivant en tant que producteur</a>.
                            Aucun règlement ne vous sera demandé tant que vous n'aurez pas plus de 100 € de chiffre d'affaire enregistré sur le logiciel.</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="col-md-6  col-xs-12 producer">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h2 class="panel-title">
                        <span class="the-title">Formation & accompagnement</span>
                    </h2>
                </div>
                <div class="panel-body">
                    <p>Si besoin, au moment du lancement de votre circuit court sur Opendistrib, nous pouvons vous proposer
                        des temps de formation et d'accompagnement au tarif de <strong>40&nbsp;€&nbsp;HT&nbsp;/&nbsp;heure</strong>.
                    </p>
                </div>
            </div>
        </div>
    </div>

    <div class="row equal">
        <div class="col-md-6 col-xs-12 producer">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h2 class="panel-title">
                        <span class="the-title">Paiement en ligne</span>
                    </h2>
                </div>
                <div class="panel-body">
                    <p>Le paiement en ligne permet à vos clients d'alimenter leur crédit (compte prépayé en ligne) par carte bancaire.
                        Le logiciel fonctionne avec la plateforme <a href="https://stripe.com/fr">Stripe</a> pour accepter les paiements.</p>
                    <p>
                        Activation de l'option : <strong>120 € HT</strong><br />
                        <a href="https://stripe.com/fr/pricing">Voir les tarifs Stripe</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-md-6  col-xs-12 producer">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h2 class="panel-title">
                        <span class="the-title">Durée d'engagement</span>
                    </h2>
                </div>
                <div class="panel-body ">
                    <p>Ce service est sans engagement de durée. Si vous souhaitez arrêter, vous aurez simplement à le configurer dans vos
                        paramètres en mettant hors-ligne votre compte.</p>
                </div>
            </div>
        </div>
    </div>
</div>
